Bug 1625773 (PY2REMOVAL) - Mass Python 2 Package Removal
Summary: Mass Python 2 Package Removal
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: PY2REMOVAL
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact:
URL:
Whiteboard:
Depends On: 1739652 1761203 1763072 1770610 1773235 1773237 1773238 1773368 1773547 1773548 1773549 1774075 1560485 1568382 1578356 1585743 1627127 1627128 1627129 1627130 1627131 1627132 1627133 1627134 1627135 1627136 1627137 1627138 1627139 1627140 1627141 1627142 1627143 1627144 1627145 1627146 1627147 1627149 1627150 1627151 1627152 1627153 1627154 1627155 1627156 1627157 1627158 1627159 1627160 1627161 1627162 1627163 1627164 1627165 1627166 1627167 1627168 1627169 1627170 1627171 1627172 1627173 1627174 1627175 1627176 1627177 1627178 1627179 1627180 1627181 1627182 1627183 1627184 1627185 1627186 1627187 1627188 1627189 1627190 1627191 1627192 1627193 1627194 1627195 1627196 1627197 1627198 1627199 1627201 1627202 1627203 1627204 1627205 1627206 1627207 1627208 1627209 1627210 1627211 1627212 1627213 1627214 1627215 1627216 1627217 1627218 1627219 1627221 1627222 1627223 1627224 1627225 1627226 1627227 1627228 1627229 1627230 1627231 1627232 1627233 1627234 1627235 1627236 1627237 1627238 1627239 1627240 1627241 1627242 1627243 1627244 1627245 1627246 1627247 1627248 1627249 1627250 1627251 1627252 1627253 1627254 1627255 1627256 1627257 1627258 1627259 1627260 1627261 1627262 1627263 1627264 1627265 1627266 1627267 1627299 1627300 1627302 1627303 1627304 1627305 1627306 1627307 1627308 1627309 1627310 1627311 1627312 1627313 1627315 1627316 1627317 1627318 1627319 1627320 1627321 1627322 1627323 1627324 1627325 1627326 1627327 1627329 1627330 1627331 1627332 1627333 1627334 1627335 1627336 1627337 1627338 1627339 1627340 1627341 1627342 1627343 1627344 1627345 1627346 1627347 1627348 1627349 1627351 1627352 1627353 1627354 1627355 1627356 1627357 1627358 1627359 1627360 1627361 1627362 1627363 1627364 1627366 1627367 1627368 1627369 1627370 1627371 1627373 1627374 1627375 1627376 1627377 1627378 1627379 1627380 1627381 1627382 1627383 1627384 1627385 1627386 1627388 1627389 1627390 1627391 1627392 1627393 1627394 1627396 1627397 1627398 1627399 1627400 1627401 1627402 1627403 1627404 1627405 1627406 1627407 1627408 1627410 1627411 1627412 1627413 1627414 1627415 1627416 1627417 1627418 1627419 1627420 1627421 1627422 1627423 1627424 1627425 1627426 1627427 1627428 1627429 1627430 1627431 1627432 1627433 1627434 1627435 1627436 1627437 1627438 1627439 1627440 1627441 1627442 1627443 1627444 1627445 1627446 1627447 1627448 1627449 1627450 1627451 1627452 1627453 1628167 1628168 1628169 1628170 1628171 1628172 1628173 1628174 1628175 1628176 1628178 1628180 1628181 1628182 1628183 1628184 1628185 1628186 1628187 1628188 1628564 1628565 1628566 1628680 1628681 1628682 1628683 1628684 1628685 1628686 1628687 1628688 1628689 1628776 1628777 1628778 1628779 1628780 1628978 1628979 1628980 1628981 1628982 1629432 1629433 1629434 1629435 1629436 1629480 1629481 1629482 1629483 1629484 1629492 1629493 1629494 1629495 1629496 1629737 1629738 1629739 1629740 1629741 1629742 1629743 1629744 1629745 1629746 1629747 1629748 1629749 1629750 1629751 1629752 1629753 1629754 1629755 1629756 1629757 1629759 1629760 1629761 1629762 1629763 1629764 1629765 1629766 1629767 1629768 1629769 1629770 1629771 1629772 1629773 1629774 1629775 1629776 1629777 1629778 1629779 1629780 1629781 1629782 1629783 1629784 1629785 1629786 1629787 1629788 1629789 1629790 1629791 1629792 1629793 1629794 1629795 1629796 1629797 1629798 1629799 1629800 1629801 1629802 1629803 1629804 1629805 1629806 1629807 1629808 1629809 1629810 1629811 1629812 1629814 1629815 1629816 1629817 1629818 1629819 1629820 1629821 1629822 1629823 1629824 1629825 1629826 1629827 1629828 1629829 1629830 1629831 1629832 1629833 1629834 1629835 1629836 1629837 1629838 1630059 1630060 1630061 1630062 1630063 1630064 1630065 1630066 1630067 1630068 1630070 1630071 1630072 1630073 1630074 1630075 1630076 1630077 1630078 1630079 1630080 1630081 1630082 1630083 1630084 1630085 1630086 1630087 1630088 1630089 1630271 1630272 1630273 1630274 1630277 1630278 1630280 1630281 1630282 1630326 1630327 1630328 1630329 1630330 1630331 1630332 1630333 1630334 1630335 1630455 1630456 1630457 1630458 1630459 1630460 1630461 1630463 1630464 1630465 1630831 1630832 1630833 1630834 1630835 1630836 1630837 1630838 1630839 1630840 1630946 1630947 1630948 1630949 1630950 1630951 1630952 1630953 1630954 1630955 1630959 1630960 1630961 1631301 1631302 1631303 1631304 1631305 1631306 1631307 1631308 1631309 1631310 1631311 1631312 1631313 1631314 1631315 1631316 1631317 1631318 1631319 1631320 1631321 1631322 1631323 1631324 1631325 1631326 1631327 1631328 1631330 1631331 1631332 1631333 1631526 1631527 1631528 1631529 1631857 1631858 1632044 1632045 1632046 1632200 1632201 1632202 1632296 1632297 1632298 1632299 1632300 1632301 1632303 1632304 1632305 1632306 1632307 1632308 1632309 1632310 1632311 1632312 1632314 1632315 1632317 1632318 1632319 1632320 1632321 1632322 1632323 1632324 1632325 1632326 1632327 1632328 1632329 1632330 1632331 1632332 1632333 1632334 1632335 1632336 1632337 1632338 1632339 1632340 1632341 1632342 1632343 1632344 1632345 1632346 1632395 1632396 1632403 1632404 1632457 1632458 1632459 1632571 1632572 1632855 1633357 1633792 1633793 1633794 1633795 1633796 1633797 1633798 1633799 1633800 python2_removal_libemu 1634371 1634372 1634426 1634427 1634542 1634543 1634544 1634545 1634546 1634547 1634548 1634549 1634552 1634553 1634554 1634555 1634556 1634557 1634558 1634559 1634560 1634561 1634562 1634563 1634564 1634565 1634566 1634567 1634568 1634569 1634570 1634571 1634572 1634573 1634574 1634575 1634576 1634577 1634578 1634579 1634580 1634581 1634582 1634583 1634584 1634585 1634586 1634587 1634588 1634589 1634590 1634591 1634592 1634593 1634594 1634595 1634596 1634597 1634598 1634600 1634601 1634602 1634603 1634604 1634605 1634606 1634607 1634608 1634609 1634612 1634613 1634614 1634615 1634616 1634617 1634618 1634619 1634620 1634621 1634622 1634623 1634624 1634625 1634626 1634627 1634628 1634629 1634630 1634631 1634632 1634633 1634634 1634635 1634636 1634637 1634638 1634639 1634640 1634641 1634643 1634644 1634645 1634646 1634647 1634648 1634651 1634652 1634689 1634690 1634691 1634692 1634693 1634694 1634695 1634696 1634697 1634698 1634699 1634714 1634715 1634842 1634843 1634844 1634845 1634846 1634847 1634848 1634849 1634850 1634851 1634852 1634853 1634854 1634855 1634856 1634857 1634858 1634859 1634860 1634861 1634862 1634863 1634864 1634865 1634866 1634867 1634868 1634869 1634870 1634871 1634872 1634873 1634874 1634875 1634876 1634877 1634878 1634879 1634881 1634882 1634883 1634884 1634885 1634886 1634887 1634888 1634889 1634890 1634891 1634892 1634893 1634894 1634895 1634896 1634897 1634898 1634899 1634900 1634901 1634902 1634904 1634905 1634906 1634907 1634908 1634909 1634910 1634911 1634913 1634914 1634915 1634916 1634917 1634918 1634919 1634920 1634921 1634922 1634923 1634924 1634925 1634926 1634927 1634928 1634929 1634930 1634931 1634932 1634933 1634935 1634936 1634937 1634938 1634939 1634940 1634941 1634942 1634943 1634944 1634945 1634947 1634948 1634949 1634950 1634951 1634952 1634953 1634954 1634955 1634958 1634959 1634960 1634961 1634962 1634963 1634965 1634966 1634967 1634968 1634969 1634970 1634971 1634972 1634974 1634975 1634976 1634977 1634978 1634980 1634981 1634982 1634983 1634984 1634985 1634987 1634988 1634989 1634990 1634991 1634992 1634993 1634994 1634995 1634996 1634997 1634998 1634999 1635000 1635001 1635002 1635003 1635004 1635005 1635006 1635007 1635008 1635009 1635592 1635598 1635599 1635600 1635601 1635602 1635603 1635604 1635605 1636933 1636934 1636935 1636936 1636937 1636938 1636939 1637993 1637994 1637995 1638424 1638709 1639305 1639306 1639307 1639308 1639309 1639310 1639311 1639312 1639313 1639315 1639316 1639317 1639318 1639319 1639320 1639321 1639322 1639323 1639324 1639325 1639440 1639452 1639859 1639869 1639870 1640538 1640539 1640540 1640582 1640583 1640584 1640586 1640588 1640762 1640769 1640770 1640771 1640772 1640773 1640774 1641281 1641282 1641283 1641284 1641285 1641286 1641287 1641288 1641289 1641290 1641291 1641292 1641293 1641294 1641295 1641296 1641297 1641298 1641299 1641300 1641301 1641819 1642793 1642794 1643378 1643379 1643380 1643669 1643718 1643796 1643797 1643798 1644178 1645073 1645074 1645075 1645076 1645077 1645078 1645079 1645080 1647242 1647243 1647367 1647370 1647371 1647372 1647373 1647374 1647375 1647376 1647377 1647380 1647798 1648556 1648557 1648558 1648559 1648560 1648561 1648562 1648563 1648564 1648840 1648842 1649006 1649009 1649010 1649643 1649644 1649645 1649859 1649860 1649861 1650055 1650203 1650204 1650205 1650206 1650207 1650212 1650648 1651172 1651173 1651174 1651175 1651176 1651177 1651178 1651179 1651180 1651181 1651182 1652555 1652706 1652707 1652860 1653080 1653081 1653082 1653083 1653084 1653085 1653086 1653087 1653223 1654012 1654013 1654014 1654016 1654139 1654140 1654141 1654148 1654149 1654150 1654151 1654152 1654154 1654155 1655257 1655258 1655259 1655540 1655696 1655719 1656459 1656923 1657494 1657684 1657685 1657686 1657687 1657688 1657689 1657690 1657867 1657868 1658530 1658531 1658532 1658534 1658535 1658536 1658537 1658538 1659029 1659735 1659736 1659737 1659738 1659739 1659740 1659741 1659742 1659743 1659744 1659935 1660921 1661348 1661353 1661354 1661702 1661883 1662147 1662148 1662194 1662357 1662358 1662359 1662360 1662361 1662362 1662363 1662364 1662455 1662456 1662457 1662458 1662459 1662465 1662608 1662642 1662643 1662644 1662645 1662646 1662647 1662648 1662649 1662650 1662651 1662652 1662653 1662686 1662688 1662761 1662762 1662763 1662764 1662765 1663482 1663831 1663833 1663834 1663835 1663836 1663837 1663838 1663839 1663840 1663841 1663842 1663843 1663844 1663845 1664472 1664473 1664474 1664475 1664476 1665685 1666179 1666180 1666181 1666182 1666183 1666184 1666185 1666186 1666187 1666188 1666189 1666190 1666191 1666344 1666346 1666347 1667073 1667074 1667075 1667076 1667077 1667078 1667079 1667080 1667272 1667273 1667274 1667275 1668296 1671287 1671431 1671973 1671974 1671975 1671976 1671977 1671978 1671979 1671980 1671981 1671982 1671983 1671984 1671985 1671986 1671987 1671988 1671989 1671990 1671991 1671992 1671993 1671994 1671995 1672034 1672035 1672037 1672038 1672039 1672040 1672041 1672042 1672043 1672044 1672045 1672050 1672051 1672052 1672053 1672054 1672055 1672058 1672110 1672708 1672709 1672820 1672821 1672822 1672824 1676456 1676457 1676844 1676845 1676846 1676847 1676848 1676849 1676850 1676851 1676852 1676853 1676920 1677449 1677451 1677452 1677957 1677958 1677959 1677960 1677961 1677962 1677963 1677964 1683799 1685168 1685169 1686352 1686354 1686355 1686376 1686377 1686378 1686379 1686380 1686381 1686382 1686384 1686385 1686386 1686387 1686388 1686389 1686390 1686391 1686392 1686393 1686394 1686395 1686420 1686429 1687412 1687413 1687415 1687416 1687417 1687418 1687419 1687420 1688034 1688035 1688036 1688037 1690179 1690180 1690181 1690182 1690274 1691056 1691057 1691058 1691059 1692037 1692429 1692430 1693688 1693689 1694615 1694616 1694617 1694618 1694619 1694620 1695605 1696338 1697617 1701137 1701670 1701671 1701672 1701673 1701674 1701675 1701678 1701679 1701680 1701681 1701682 1703658 1703659 1703716 1704458 1704459 1704460 1704461 1705293 1705294 1706438 1708285 1708286 1708821 1708822 1708823 1709223 1711724 1711725 1712339 1713861 1713862 1715258 1715259 1715260 1715261 1716662 1717302 1717303 1717304 1718778 1718779 1718780 1718781 1718782 1722903 1722904 1722905 1722906 1722907 1722908 1722909 1723588 1723589 1723591 1723596 1723967 1724151 1725155 1725156 1725318 1726778 1726779 1726780 1726781 1728623 1729254 1729255 1729256 1729257 1729258 1729259 1729260 1729645 1729775 1729776 1730236 1730237 1730238 1730239 1730620 1730621 1730622 1731660 1731831 1731832 1732414 1732415 1732813 1732814 1732815 1733169 1733248 1735482 1737222 1737223 1737225 1737226 1737227 1737398 1737399 1737401 1737403 1737404 1737644 1737985 1738466 1738467 1738468 1738469 1739540 1739641 1739642 1739643 1739645 1739646 1739647 1739648 1739649 1739650 1739651 1739653 1739654 1739655 1739656 1739657 1739658 1739659 1739660 1739661 1739662 1739663 1739664 1739665 1739666 1739667 1739668 1739669 1739670 1739671 1739672 1739673 1739680 1739945 1739946 1739947 1740846 1740847 1740996 1740997 1741791 1742833 1742834 1744642 1744643 1744644 1744645 1744646 1744647 1744648 1744649 1744650 1744651 1744652 1744653 1744654 1744655 1744656 1744657 1744658 1744659 1744660 1745453 1745454 1745455 1745456 1745779 1745780 1746328 1746402 1746447 1746448 1746476 1746665 1746752 1746753 1746754 1746755 1746756 1746757 1746758 1746759 1746760 1746761 1746762 1746763 1746764 1747370 1747371 1747372 1747373 1747374 1747401 1747402 1747403 1747663 1747664 1747665 1747666 1747667 1747963 1747964 1747965 1747970 1747971 1747974 1747975 1747976 1747977 1748069 1748070 1748071 1748241 1748242 1748245 1748246 1748247 1748248 1748249 1748250 1748298 1748299 1748312 1748313 1748314 1748315 1748418 1748419 1748550 1748551 1748820 1748822 1748826 1748827 1748828 1748829 1748833 1750170 1750171 1750182 1750421 1750495 1750696 1750697 1750698 1750717 1750718 1751087 1751088 1751089 1751490 1751494 1752142 1752143 1752149 1752150 1752151 1752152 1752153 1752154 1752155 1752156 1752197 1752229 1752404 1752405 1752801 1752802 1752803 1752804 1752805 1753022 1753045 1753331 1753699 1753700 1753701 1753703 1753800 1753802 1753803 1753957 1754306 1754697 1754698 1754877 1754878 1754899 1754904 1754910 1754911 1754912 1754913 1754944 1754955 1755843 1755845 1755846 1755847 1755848 1756163 1757022 1757023 1757025 1757447 1758867 1758868 1758872 1759050 1760138 1760139 1760277 1761081 1761082 1761083 1761084 1761085 1761197 1761200 1761204 1761205 1761206 1761207 1761208 1761209 1761210 1761211 1761216 1761217 1761218 1761220 1761222 1761223 1763071 1763073 1763167 1763170 1763171 1763172 1763532 1763919 1764118 1764571 1764572 1764573 1764574 1764869 1764870 1764879 1764880 1764881 1764882 1764883 1764884 1765878 1765879 1765880 1767369 1767503 1767517 1767568 1767569 1767570 1767944 1768071 1768072 1769827 1769828 1769838 1769839 1769840 1769871 1770181 1770182 1770231 1770562 1770563 1770564 1770565 1770609 1770613 1770675 1770743 1770744 1771212 1771213 1771455 1772671 1773125 1773126 1773236 1773367
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-05 20:07 UTC by Ben Cotton
Modified: 2019-11-19 14:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-30 15:49:37 UTC


Attachments (Terms of Use)

Description Ben Cotton 2018-09-05 20:07:50 UTC
This is a tracking bug for Change: Mass Python 2 Package Removal
For more details, see: https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

(Sub-)packages only providing python2 importable modules without additional functionality will be removed from Fedora unless some other package(s) depends on them.

Comment 1 Ben Cotton 2019-02-19 20:30:23 UTC
According to the Fedora 30 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to MODIFIED. If you know your change will not be ready for Fedora 30, you can set the version to rawhide and notify bcotton@fedoraproject.org. For more information about this milestone, see the Changes Policy[2].

[1] https://fedoraproject.org/wiki/Releases/30/Schedule
[2] https://fedoraproject.org/wiki/Changes/Policy#Change_Checkpoint:_Completion_deadline

Comment 2 Miro Hrončok 2019-02-19 21:30:30 UTC
Thanks for the reminder, Ben. This was testable from the beginning and it is testable now. It is a work in progress and we would like to continue.

We can either:

1) mark this done and submit the same thing for F31
2) "move" this to F31
3) say that this was done for F30 and that the rules apply further for F31 as well

I honestly don't know and I don't want to bother FESCo, but I think FESCo is the only body that can decide.

Comment 3 Ben Cotton 2019-02-19 21:45:01 UTC
In my opinion, I would say option 3 is the most accurate. Given the nature of the change, I don't think it's necessary to escalate this to FESCo. If some python2 packages don't get removed by the deadline, I don't think anyone will be surprised if they get removed in F31.

Comment 4 Miro Hrončok 2019-02-19 21:50:10 UTC
Makes sense. What's the BZ status then?

Comment 5 Ben Cotton 2019-02-19 21:58:10 UTC
You can either go with MODIFIED for now, or jump ahead to ON_QA and get ahead of the Code Complete (100%) milestone in a few weeks. Whichever you feel is more appropriate for the current state of the work.

Comment 6 Petr Viktorin 2019-02-20 16:10:58 UTC
There are things I'd like to add for f31, so I'll submit a new change.

For now, the rules practically apply for F31 as well. (If anyone formally disagrees, we can formally wait for the new change.)

Comment 7 Ben Cotton 2019-03-05 21:50:00 UTC
We have reached the Code Complete (100%) milestone in the Fedora 30 development cycle. At this point, all Changes should be fully code complete and ready for testing during the beta freeze. If your Change has reached this milestone, please set the status to ON_QA. If it has not, this Change will be submitted to FESCo to evaluate the contigency plan and decide if the Change will continue in the Fedora 30 cycle.


Note You need to log in before you can comment on or make changes to this bug.